Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.smc
Class Smc

    java.lang.Object
      net.sf.smc.Smc

    public final class Smc

extends java.lang.Object

Main class for the state machine compiler application. This class is responsible for processing the command line arguments, configuring the parser, model and generator packages according to the command line and outputing the results to the user. The actual work is performed by the parser, model and generator packages.

Method Summary
`static void` | `main(java.lang.String[] args)` The state machine compiler main method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(java.lang.String[] args)

  The state machine compiler main method.

  Parameters:
    `args` - command line arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. Charles W. Rapp. All Rights Reserved. Use is subject to license terms.